Package Details: docker-rpm-builder 1.39.0-1

Git Clone URL: https://aur.archlinux.org/docker-rpm-builder.git (read-only)
Package Base: docker-rpm-builder
Description: A script to build rpms for different architectures using docker
Upstream URL: https://github.com/alanfranz/docker-rpm-builder
Licenses: Apache Public License 2.0
Provides: docker-rpm-builder
Submitter: dansou901
Maintainer: dansou901
Last Packager: dansou901
Votes: 2
Popularity: 0.001113
First Submitted: 2016-03-10 21:19
Last Updated: 2017-05-26 20:50

Latest Comments

dansou901 commented on 2016-04-07 09:16

Just had a conversation with the dev, you can read it here: https://github.com/alanfranz/docker-rpm-builder/issues/19
So with this in mind, would you still suggest to do the changes to the arch package?

dansou901 commented on 2016-04-07 06:52

Thanks for the hint. I'll talk to the developer of the software about it. The thing is, the dev packaged this software for other distributions using a virtualenv in /opt, so I did it intentionally.

carlwgeorge commented on 2016-04-07 04:46

Building this in a relocatable virtualenv in /opt is unnecessary. Upstream is arbitrarily restricting the dependencies to exact versions, but the software works just fine with the current packaged versions in Arch. You just have to patch setup.py to remove the explicit version requirements. You can also completely remove the unittest2 dependency if you remove the selftest subcommand, which is very simple to do.

Here is a reworked PKGBUILD and two patches to accomplish the things described above.

PKGBUILD:
http://ix.io/vCO

patches:
http://ix.io/vCP
http://ix.io/vCQ